Estimate Fees for a Payable

Given a valid Payable payload, return an estimate of the currency conversion (if applicable), as well as the Routable and transfer fees associated with making the payable.

Body Params

New Payable that pays out to a vendor via ACH

date | null
required

The date that the Payable should be sent in Pacific Time.

  • When set to today, the Payable will be sent immediately.
  • When set to null, the Payable will be put in a ready_to_send status.
  • When set to a date in the future, the Payable will be scheduled for a future date. No email communications will go out until that date.

Note that if a Create Payable call occurs after the cut-off time when ach_same_day or ach_next_day is selected as a delivery_method, the Payable will be scheduled as if it had been created on the following business day.

uuid
required

The ID of the TeamMember performing this action. This will be displayed in the Routable Dashboard and also used as the sender of any invitation emails sent to your Company's actionable Contacts.

string
required

The total amount for this transaction.

attachments
array of objects

An optional array of file attachments to add to the transaction. There is no file size limit on an individual file, but the total size of your request including all attachments may not exceed 25MB.

attachments
string

The bill number for this transaction. If you have integrated your accounting software, this will match the bill number in that application.

string
enum
length between 3 and 3
Defaults to USD

An ISO 4217 currency code. Only currencies currently supported by Routable are available.

string | null

A external ID you have assigned to this transaction. For example, this might be the ID of a transaction in your application.

string
length ≥ 1

A custom message to include in the email sent to the actionable and readonly Contacts on this Company. A limited subset of HTML tags are permitted for formatting.

string

This field is used as an additional reference number for the item when Routable is not integrated with your accounting software. If you have integrated your accounting software with Routable, this field is not used.

date

The date by which the invoice must be paid.

date

The date on which the invoice was issued.

ledger

Fields specific to your accounting suite integration.

line_items
array of objects
required
length ≥ 1
line_items*
uuid
required

The Company ID to pay.

uuid
required

The Account ID to withdraw from.

string
enum
required

The Payable delivery method option. Different selections here will incur different fees.' Note that for ach_next_day and ach_same_day Payables, cut-off times apply. If a Payable is created after the cut-off time when ach_same_day or ach_next_day is selected as a delivery_method, the Payable will be scheduled as if it had been created on the following business day.

Allowed:
uuid

The Payment Method ID to pay.

string
enum
required
Allowed:
type_details
object
Response

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json